View Issue Details

IDProjectCategoryView StatusLast Update
11754Feature requests[All Projects] Survey editingpublic2018-04-06 11:48
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target Version3.0Fixed in Version3.0 
Summary11754: Review HTML for index (the button part)
Description

See screenshot (default BS)

Additional Information

http://getbootstrap.com/components/#list-group seems great (in gact is great too for list of radio etc ... : but better in template here).

Tagsanswers_html

Relationships

parent of 11762 closedDenisChenu Bug reports Survey index : question by question : unable to use index 
related to 11755 closedDenisChenu Bug reports Tool link : no default action 

Activities

DenisChenu

DenisChenu

2016-10-06 19:13

developer  

actual.png (18,971 bytes)
actual.png (18,971 bytes)
DenisChenu

DenisChenu

2016-10-07 19:02

developer   ~41204

Before reviewing HTML, must review whole concept ....

DenisChenu

DenisChenu

2016-10-27 02:16

developer   ~41574

Fix committed to answers_html branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21178

Related Changesets

LimeSurvey: answers_html 6256a238

2016-10-27 02:01:01

DenisChenu

Details Diff
Fixed issue 11754: Review HTML for index (the button part)
Fixed issue : question index is broken with Question Group Randomization
Affected Issues
11754
mod - application/core/packages/limesurvey/survey.css Diff File
mod - application/helpers/questionIndexHelper.php Diff File
mod - application/views/survey/system/surveyIndex/questionIndex.php Diff File
mod - application/views/survey/system/surveyIndex/questionIndexMenuLink.php Diff File

LimeSurvey: answers_html 0bb12d13

2016-10-27 02:16:05

DenisChenu


Committer: GitHub Details Diff
Merge pull request #571 from Shnoulle/answers_html_index

Dev: Index fix and improve
Affected Issues
11754
mod - application/core/packages/limesurvey/survey.css Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
add - application/helpers/questionIndexHelper.php Diff File
mod - application/helpers/replacements_helper.php Diff File
mod - application/models/TemplateConfiguration.php Diff File
add - application/views/survey/system/surveyIndex/groupIndex.php Diff File
add - application/views/survey/system/surveyIndex/groupIndexMenuLink.php Diff File
add - application/views/survey/system/surveyIndex/questionIndex.php Diff File
add - application/views/survey/system/surveyIndex/questionIndexMenuLink.php Diff File
mod - templates/basic/config.xml Diff File
mod - templates/basic/pstpl/navigator.pstpl Diff File
mod - templates/basic/pstpl/question.pstpl Diff File

Issue History

Date Modified Username Field Change
2016-10-06 19:12 DenisChenu New Issue
2016-10-06 19:12 DenisChenu Status new => assigned
2016-10-06 19:12 DenisChenu Assigned To => DenisChenu
2016-10-06 19:13 DenisChenu Tag Attached: answers_html
2016-10-06 19:13 DenisChenu File Added: actual.png
2016-10-07 19:02 DenisChenu Relationship added related to 11762
2016-10-07 19:02 DenisChenu Note Added: 41204
2016-10-13 19:43 DenisChenu Relationship added related to 11755
2016-10-14 11:02 DenisChenu Target Version => 3.0
2016-10-20 00:08 DenisChenu Relationship replaced parent of 11762
2016-10-27 02:16 DenisChenu Changeset attached => LimeSurvey answers_html 6256a238
2016-10-27 02:16 DenisChenu Note Added: 41574
2016-10-27 02:16 DenisChenu Resolution open => fixed
2016-10-27 02:17 DenisChenu Changeset attached => LimeSurvey answers_html 0bb12d13
2016-10-27 02:19 DenisChenu Status assigned => resolved
2016-10-27 02:19 DenisChenu Fixed in Version => 3.0
2018-04-06 11:48 markusfluer Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing